package com.gic.auth.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author guojx
 * @date 2019/7/16 6:49 PM
 */
public class UserDTO implements Serializable{
    private static final long serialVersionUID = 7296135586565827660L;

    public interface SaveUserValid {
    }

    public interface EditUserValid {
    }

    public interface UserQoValid {
    }




    /**
     * 用户id
     */
    @NotNull(message = "用户ID不能为空", groups = {EditUserValid.class})
    private Integer userId;

    /**
     * 用户名
     */
    @NotBlank(message = "用户名不能为空", groups = {SaveUserValid.class, EditUserValid.class, UserQoValid.class})
    private String userName;

    /**
     * 手机号码
     */
    @NotBlank(message = "手机号不能为空", groups = {SaveUserValid.class, EditUserValid.class, UserQoValid.class})
    private String phoneNumber;

    /**
     * 密码
     */
    @NotBlank(message = "密码不能为空", groups = {SaveUserValid.class, EditUserValid.class})
    private String password;

    /**
     * 1：自动生成 2：自定义密码
     */
    @NotNull(message = "登陆密码类型不能为空", groups = {UserQoValid.class})
    private Integer passwordType;

    /**
     * 确认密码
     */
    private String confirmPassword;

    /**
     * 是否是超级管理员
     */
    @NotNull(message = "用户类型不能为空", groups = {SaveUserValid.class})
    private Integer superAdmin;

    /**
     * 状态，1有效，0无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    @NotNull(message = "企业ID不能为空", groups = {SaveUserValid.class, EditUserValid.class})
    private Integer enterpriseId;

    /**
     * 国际区号，如中国 86
     */
    @NotBlank(message = "手机国际区号不能为空", groups = {SaveUserValid.class, EditUserValid.class, UserQoValid.class})
    private String phoneAreaCode;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getSuperAdmin() {
        return superAdmin;
    }

    public void setSuperAdmin(Integer superAdmin) {
        this.superAdmin = superAdmin;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public void setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
    }

    public Integer getPasswordType() {
        return passwordType;
    }

    public void setPasswordType(Integer passwordType) {
        this.passwordType = passwordType;
    }

    public String getConfirmPassword() {
        return confirmPassword;
    }

    public void setConfirmPassword(String confirmPassword) {
        this.confirmPassword = confirmPassword;
    }
}
